com.holonplatform.jaxrs.swagger

## Enum ApiEndpointType

- java.lang.Object
- - java.lang.Enum<ApiEndpointType>
  - - com.holonplatform.jaxrs.swagger.ApiEndpointType

- All Implemented Interfaces:
    Serializable, Comparable<ApiEndpointType>

      public enum ApiEndpointType
      extends Enum<ApiEndpointType>

  API endpoint types enumeration.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT_HEADER` API endpoint type which uses the `Accept` header value to declare the API output format, which can be either `application/json` or `application/yaml`.
    `PATH_PARAMETER` API endpoint type which uses a `type` named path parameter to declare the API output format, which can be either `json` or `yaml`.
    `QUERY_PARAMETER` API endpoint type which uses a `type` named query parameter to declare the API output format, which can be either `json` or `yaml`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiEndpointType` | `getDefault()` Get the default API endpoint type.
    `static ApiEndpointType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiEndpointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY_PARAMETER

          public static final ApiEndpointType QUERY_PARAMETER

      API endpoint type which uses a `type` named query parameter to declare the API output format, which can be either `json` or `yaml`.

    - #### PATH_PARAMETER

          public static final ApiEndpointType PATH_PARAMETER

      API endpoint type which uses a `type` named path parameter to declare the API output format, which can be either `json` or `yaml`.

      The path parameter is prefixed by a dot (`.`).

    - #### ACCEPT_HEADER

          public static final ApiEndpointType ACCEPT_HEADER

      API endpoint type which uses the `Accept` header value to declare the API output format, which can be either `application/json` or `application/yaml`.

  - ### Method Detail

    - #### values

          public static ApiEndpointType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiEndpointType c : ApiEndpointType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiEndpointType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefault

          public static ApiEndpointType getDefault()

      Get the default API endpoint type.
      Returns:
        the default API endpoint type

Copyright © 2019 The Holon Platform. All rights reserved.